import os
import pytest


def pytest_logger_config(logger_config):
    """Init conf."""
    from core import setup_logger
    from core.conf import Config
    debug = os.getenv('DEBUG', False)
    conf = Config.create()
    setup_logger(config_path=conf.log_config, debug=debug)


@pytest.fixture(autouse=True)
def log():
    """Inject logger."""
    from logging import getLogger
    return getLogger(__name__)
