from os import getenv

from core.conf import Config, Env
from core.fn import is_debug, is_testing
from core.i18n import get_locales


def test_config():
    """Don`t forget populate env variables before run tests."""
    config = Config.create()
    assert config.testing == is_testing()
    assert config.debug == is_debug()
    assert config.environment == Env(getenv('ENVIRONMENT'))
    assert config.log_config == getenv('LOG_CONFIG')
    assert config.locales == get_locales()
